package Ensembl.artemis;
final public class QualifierHolder
	implements org.omg.CORBA.portable.Streamable
{
	public Ensembl.artemis.Qualifier value;

	public QualifierHolder ()
	{
	}
	public QualifierHolder (Ensembl.artemis.Qualifier initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return Ensembl.artemis.QualifierHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = Ensembl.artemis.QualifierHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		Ensembl.artemis.QualifierHelper.write(_out,value);
	}
}
